﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_assign_people_to_groups
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Assign the people to groups.
        private void btnAssign_Click(object sender, EventArgs e)
        {
            // Get the names into an array.
            int num_people = lstPeople.Items.Count;
            string[] names = new string[num_people];
            lstPeople.Items.CopyTo(names, 0);
            
            // Randomize.
            Randomizer.Randomize(names);

            // Divide the names into groups.
            int num_groups = int.Parse(txtNumGroups.Text);
            lstResult.Items.Clear();
            int group_num = 0;
            for (int i = 0; i < num_people; i++)
            {
                lstResult.Items.Add(group_num + " " + names[i]);
                group_num = ++group_num % num_groups;
            }
        }
    }
}
